Subject: Re: [manet] WGLC of draft-ietf-manet-tlv-naming-00

From: Jiazi YI <[email-masked]>
Date: Mon, 2 Feb 2015 14:48:30 +0100

Hi,

I have reviewed the document. It's clear and in great shape. I think the
document is ready to go forward.

Just one tiny point:

In

-------------------------
3.1.  Expert Review: Evaluation Guidelines

   For registration from the registries for Packet TLV Types, Message
   TLV Types, and Address Block TLV Types, the following guidelines
   apply, *in addition to* those given in section 6.1 in [RFC5444]:
--------------------------

In fact, other than *adding* those rules, the document also obsoletes some
text in section 6.1 of RFC 5444. Specifically, it (partly) changes the
hierarchical allocation of RFC 5444:

----------------
These are Hierarchical Allocations, i.e., allocation of a type
      creates a registry for the extended types corresponding to that
      type...
------------------

So it would be helpful to indicate that the above text (or the hierarchical
allocation) is obsoleted, to avoid conflicts in the text.

regards

Jiazi

On Fri, Jan 30, 2015 at 11:55 AM, Dearlove, Christopher (UK) <
[email-masked]> wrote:

>  To add my own minor WGLC nits, the TLV references ought to list RFC 7181
> before RFC 7188, and RFC 7188 ought not to be included for the GATEWAY TLV.
>
>
>
> --
>
> Christopher Dearlove
>
> Senior Principal Engineer, Information Assurance Group
> Communications, Networks and Image Analysis Capability
> BAE Systems Advanced Technology Centre
> West Hanningfield Road, Great Baddow, Chelmsford, CM2 8HN, UK
> Tel: +44 1245 242194 |  Fax: +44 1245 242124
>
> [email-masked] | http://www.baesystems.com
>
> BAE Systems (Operations) Limited
> Registered Office: Warwick House, PO Box 87, Farnborough Aerospace Centre,
> Farnborough, Hants, GU14 6YU, UK
> Registered in England & Wales No: 1996687
>
>
>
> *From:* manet [mailto:[email-masked]] *On Behalf Of *Dearlove,
> Christopher (UK)
> *Sent:* 26 January 2015 10:40
> *To:* [email-masked]; 'Abdussalam Baryun'; 'Ratliff, Stanley'
> *Cc:* [email-masked]; 'Thomas Heide Clausen'; 'Justin Dean'
> *Subject:* Re: [manet] WGLC of draft-ietf-manet-tlv-naming-00
>
>
>
>
>
> **** WARNING ****
>
> *This message originates from outside our organisation, either from an
> external partner or the internet.*
>
> * Consider carefully whether you should click on any links, open any
> attachments or reply. For information regarding **Red Flags** that you
> can look out for in emails you receive, click here
> <http://intranet.ent.baesystems.com/howwework/security/spotlights/Documents/Red%20Flags.pdf>.*
> * If you feel the email is suspicious, please follow this process
> <http://intranet.ent.baesystems.com/howwework/security/spotlights/Documents/Dealing%20With%20Suspicious%20Emails.pdf>.*
>
> Thanks for the reminder. As Adrian says, I agreed I’d roll this in with
> any (other) WGLC comments.
>
>
>
> --
>
> Christopher Dearlove
>
> Senior Principal Engineer, Information Assurance Group
> Communications, Networks and Image Analysis Capability
> BAE Systems Advanced Technology Centre
> West Hanningfield Road, Great Baddow, Chelmsford, CM2 8HN, UK
> Tel: +44 1245 242194 |  Fax: +44 1245 242124
>
> [email-masked] | http://www.baesystems.com
>
> BAE Systems (Operations) Limited
> Registered Office: Warwick House, PO Box 87, Farnborough Aerospace Centre,
> Farnborough, Hants, GU14 6YU, UK
> Registered in England & Wales No: 1996687
>
>
>
> *From:* Adrian Farrel [mailto:[email-masked] <[email-masked]>]
> *Sent:* 25 January 2015 10:09
> *To:* 'Abdussalam Baryun'; 'Ratliff, Stanley'
> *Cc:* Dearlove, Christopher (UK); 'Justin Dean'; [email-masked]; 'Thomas
> Heide Clausen'
> *Subject:* RE: [manet] WGLC of draft-ietf-manet-tlv-naming-00
>
>
>
>
>
> **** WARNING ****
>
> *This message originates from outside our organisation, either from an
> external partner or the internet.*
>
> * Consider carefully whether you should click on any links, open any
> attachments or reply. For information regarding **Red Flags** that you
> can look out for in emails you receive, click here
> <http://intranet.ent.baesystems.com/howwework/security/spotlights/Documents/Red%20Flags.pdf>.*
> * If you feel the email is suspicious, please follow this process
> <http://intranet.ent.baesystems.com/howwework/security/spotlights/Documents/Dealing%20With%20Suspicious%20Emails.pdf>.*
>
> Yup, Christopher said he would make the change together with any last call
> comments.
>
>
>
> Adrian
>
>
>
> *From:* Abdussalam Baryun [mailto:[email-masked]
> <[email-masked]>]
> *Sent:* 25 January 2015 03:29
> *To:* Ratliff, Stanley
> *Cc:* Dearlove, Christopher (UK); [email-masked]; Justin Dean;
> [email-masked]; Thomas Heide Clausen
> *Subject:* Re: [manet] WGLC of draft-ietf-manet-tlv-naming-00
>
>
>
> There was a respond regarding this document but still no change (I think
> the authors noted that it will be changed), so still it is not accepted
> from my side until the amendment done, I will review again and if no
> respond from me then that means I still request the amendments.
>
>
>
> AB
>
>
>
> On Fri, Jan 23, 2015 at 3:55 PM, Ratliff, Stanley <[email-masked]>
> wrote:
>
> Hello Working Group Participants,
>
> Please see the email thread below. This document is now in Working Group
> Last Call. The Last Call will run through Feb. 6, 2015. Please review the
> document and submit any comments to the list on or before that date.
>
> Lack of a response on-list will be viewed as acceptance of the document.
>
> Regards,
> Stan
>
>
> > -----Original Message-----
> > From: manet [mailto:[email-masked]] On Behalf Of Dearlove,
> > Christopher (UK)
> > Sent: Friday, January 23, 2015 8:42 AM
> > To: [email-masked]; 'Stan Ratliff'; 'Justin Dean'; [email-masked]
> > Cc: 'Thomas Heide Clausen'
> > Subject: Re: [manet] Request WGLC of draft-ietf-manet-tlv-naming-00
> >
> > I wouldn't expect less than 2 weeks. But sometimes it's longer, I just
> don't
> > want longer. Or think it justified.
> >
> > --
> > Christopher Dearlove
> > Senior Principal Engineer, Information Assurance Group Communications,
> > Networks and Image Analysis Capability BAE Systems Advanced Technology
> > Centre West Hanningfield Road, Great Baddow, Chelmsford, CM2 8HN, UK
> > Tel: +44 1245 242194 |  Fax: +44 1245 242124
> [email-masked]
> > | http://www.baesystems.com
> >
> > BAE Systems (Operations) Limited
> > Registered Office: Warwick House, PO Box 87, Farnborough Aerospace
> > Centre, Farnborough, Hants, GU14 6YU, UK Registered in England & Wales
> > No: 1996687
> >
> >
> > -----Original Message-----
> > From: Adrian Farrel [mailto:[email-masked]]
> > Sent: 23 January 2015 13:37
> > To: Dearlove, Christopher (UK); 'Stan Ratliff'; 'Justin Dean';
> [email-masked]
> > Cc: 'Thomas Heide Clausen'
> > Subject: RE: Request WGLC of draft-ietf-manet-tlv-naming-00
> >
> > ----------------------! WARNING ! ---------------------- This message
> originates
> > from outside our organisation, either from an external partner or from
> the
> > internet.
> > Consider carefully whether you should click on any links, open any
> > attachments or reply.
> > Follow the 'Report Suspicious Emails' link on IT matters for
> instructions on
> > reporting suspicious email messages.
> > --------------------------------------------------------
> >
> > Yes, thanks for doing this work.
> >
> > I wouldn't change WG process for this doc, but 2 weeks is not so long in
> the
> > scheme of things.
> >
> > If you get it moving soon, I can clear this and the MT I-D within my
> tenure.
> >
> > A
> >
> > > -----Original Message-----
> > > From: Dearlove, Christopher (UK)
> > > [mailto:[email-masked]]
> > > Sent: 23 January 2015 10:51
> > > To: Stan Ratliff ([email-masked]); Justin Dean
> > ([email-masked]);
> > > [email-masked]
> > > Cc: [email-masked]; Thomas Heide Clausen
> > > ([email-masked])
> > > Subject: Request WGLC of draft-ietf-manet-tlv-naming-00
> > >
> > > As the subject line says, I (on behalf of the authors) would like to
> > > request a
> > WGLC
> > > of this document.
> > >
> > > As a reminder, this is purely an administrative matter for IANA,
> > > allowing us
> > to
> > > have our TLVs named properly. It makes no difference to any existing
> > protocols.
> > > We need to it order to advance draft-ietf-manet-olsrv2-multitopology.
> > > I hope
> > we
> > > can have a short WGLC period on this one.
> > >
> > > --
> > > Christopher Dearlove
> > > Senior Principal Engineer, Information Assurance Group Communications,
> > > Networks and Image Analysis Capability BAE Systems Advanced Technology
> > > Centre West Hanningfield Road, Great Baddow, Chelmsford, CM2 8HN, UK
> > > Tel: +44 1245 242194 |  Fax: +44 1245 242124
> > > [email-masked] | http://www.baesystems.com
> > >
> > > BAE Systems (Operations) Limited
> > > Registered Office: Warwick House, PO Box 87, Farnborough Aerospace
> > > Centre, Farnborough, Hants, GU14 6YU, UK Registered in England & Wales
> > > No: 1996687
> > >
> > >
> > >
> > **********************************************************
> > ****
> > > ******
> > > This email and any attachments are confidential to the intended
> > > recipient and may also be privileged. If you are not the intended
> > > recipient please delete it from your system and notify the sender.
> > > You should not copy it or use it for any purpose nor disclose or
> > > distribute its contents to any other person.
> > >
> > **********************************************************
> > ****
> > > ******
> >
> >
> > _______________________________________________
> > manet mailing list
> > [email-masked]
> > https://www.ietf.org/mailman/listinfo/manet
>
> _______________________________________________
> manet mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/manet
>
>
>
> _______________________________________________
> manet mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/manet
>
>

---

From: "Dearlove, Christopher (UK)" <[email-masked]>
Date: Mon, 2 Feb 2015 13:58:04 +0000

I don’t believe that is so. If you allocate a type, you still allocate a type extension registry. It’s just that (unless you define all of the type extensions, like LINK_METRIC) the type extension registry is named only by number, not by name.

So if we were allocating LINK_STATUS today (after this draft) as type X (sorry, in a hurry, not looking up) type extension 0, then we would create a type X registry (not a LINK_STATUS registry) and then put an entry 0, named LINK_STATUS, in that new registry.

[email-masked]<mailto:[email-masked]> | http://www.baesystems.com

BAE Systems (Operations) Limited
Registered Office: Warwick House, PO Box 87, Farnborough Aerospace Centre, Farnborough, Hants, GU14 6YU, UK
Registered in England & Wales No: 1996687

From: [email-masked] [mailto:[email-masked]] On Behalf Of Jiazi YI
Sent: 02 February 2015 13:49
To: Dearlove, Christopher (UK)
Cc: [email-masked]; Abdussalam Baryun; Ratliff, Stanley; [email-masked]; Thomas Heide Clausen; Justin Dean
Subject: Re: [manet] WGLC of draft-ietf-manet-tlv-naming-00

*** WARNING ***
This message originates from outside our organisation, either from an external partner or the internet.
Consider carefully whether you should click on any links, open any attachments or reply.
For information regarding Red Flags that you can look out for in emails you receive, click here<http://intranet.ent.baesystems.com/howwework/security/spotlights/Documents/Red%20Flags.pdf>.
If you feel the email is suspicious, please follow this process<http://intranet.ent.baesystems.com/howwework/security/spotlights/Documents/Dealing%20With%20Suspicious%20Emails.pdf>.
Hi,

I have reviewed the document. It's clear and in great shape. I think the document is ready to go forward.

Just one tiny point:

In

   For registration from the registries for Packet TLV Types, Message
   TLV Types, and Address Block TLV Types, the following guidelines
   apply, in addition to those given in section 6.1 in [RFC5444]:
--------------------------

In fact, other than adding those rules, the document also obsoletes some text in section 6.1 of RFC 5444. Specifically, it (partly) changes the hierarchical allocation of RFC 5444:

----------------

So it would be helpful to indicate that the above text (or the hierarchical allocation) is obsoleted, to avoid conflicts in the text.

regards

Jiazi

On Fri, Jan 30, 2015 at 11:55 AM, Dearlove, Christopher (UK) <[email-masked]<mailto:[email-masked]>> wrote:
To add my own minor WGLC nits, the TLV references ought to list RFC 7181 before RFC 7188, and RFC 7188 ought not to be included for the GATEWAY TLV.

--
Christopher Dearlove
Senior Principal Engineer, Information Assurance Group
Communications, Networks and Image Analysis Capability
BAE Systems Advanced Technology Centre
West Hanningfield Road, Great Baddow, Chelmsford, CM2 8HN, UK
Tel: +44 1245 242194<tel:%2B44%201245%20242194> |  Fax: +44 1245 242124<tel:%2B44%201245%20242124>
[email-masked]<mailto:[email-masked]> | http://www.baesystems.com

BAE Systems (Operations) Limited
Registered Office: Warwick House, PO Box 87, Farnborough Aerospace Centre, Farnborough, Hants, GU14 6YU, UK
Registered in England & Wales No: 1996687

From: manet [mailto:[email-masked]<mailto:[email-masked]>] On Behalf Of Dearlove, Christopher (UK)
Sent: 26 January 2015 10:40
To: [email-masked]<mailto:[email-masked]>; 'Abdussalam Baryun'; 'Ratliff, Stanley'
Cc: [email-masked]<mailto:[email-masked]>; 'Thomas Heide Clausen'; 'Justin Dean'
Subject: Re: [manet] WGLC of draft-ietf-manet-tlv-naming-00

*** WARNING ***
This message originates from outside our organisation, either from an external partner or the internet.
Consider carefully whether you should click on any links, open any attachments or reply.
For information regarding Red Flags that you can look out for in emails you receive, click here<http://intranet.ent.baesystems.com/howwework/security/spotlights/Documents/Red%20Flags.pdf>.
If you feel the email is suspicious, please follow this process<http://intranet.ent.baesystems.com/howwework/security/spotlights/Documents/Dealing%20With%20Suspicious%20Emails.pdf>.
Thanks for the reminder. As Adrian says, I agreed I’d roll this in with any (other) WGLC comments.

--
Christopher Dearlove
Senior Principal Engineer, Information Assurance Group
Communications, Networks and Image Analysis Capability
BAE Systems Advanced Technology Centre
West Hanningfield Road, Great Baddow, Chelmsford, CM2 8HN, UK
Tel: +44 1245 242194<tel:%2B44%201245%20242194> |  Fax: +44 1245 242124<tel:%2B44%201245%20242124>
[email-masked]<mailto:[email-masked]> | http://www.baesystems.com

BAE Systems (Operations) Limited
Registered Office: Warwick House, PO Box 87, Farnborough Aerospace Centre, Farnborough, Hants, GU14 6YU, UK
Registered in England & Wales No: 1996687

From: Adrian Farrel [mailto:[email-masked]]
Sent: 25 January 2015 10:09
To: 'Abdussalam Baryun'; 'Ratliff, Stanley'
Cc: Dearlove, Christopher (UK); 'Justin Dean'; [email-masked]<mailto:[email-masked]>; 'Thomas Heide Clausen'
Subject: RE: [manet] WGLC of draft-ietf-manet-tlv-naming-00

*** WARNING ***
This message originates from outside our organisation, either from an external partner or the internet.
Consider carefully whether you should click on any links, open any attachments or reply.
For information regarding Red Flags that you can look out for in emails you receive, click here<http://intranet.ent.baesystems.com/howwework/security/spotlights/Documents/Red%20Flags.pdf>.
If you feel the email is suspicious, please follow this process<http://intranet.ent.baesystems.com/howwework/security/spotlights/Documents/Dealing%20With%20Suspicious%20Emails.pdf>.
Yup, Christopher said he would make the change together with any last call comments.

Adrian

From: Abdussalam Baryun [mailto:[email-masked]]
Sent: 25 January 2015 03:29
To: Ratliff, Stanley
Cc: Dearlove, Christopher (UK); [email-masked]<mailto:[email-masked]>; Justin Dean; [email-masked]<mailto:[email-masked]>; Thomas Heide Clausen
Subject: Re: [manet] WGLC of draft-ietf-manet-tlv-naming-00

There was a respond regarding this document but still no change (I think the authors noted that it will be changed), so still it is not accepted from my side until the amendment done, I will review again and if no respond from me then that means I still request the amendments.

AB

On Fri, Jan 23, 2015 at 3:55 PM, Ratliff, Stanley <[email-masked]<mailto:[email-masked]>> wrote:
Hello Working Group Participants,

Please see the email thread below. This document is now in Working Group Last Call. The Last Call will run through Feb. 6, 2015. Please review the document and submit any comments to the list on or before that date.

Regards,
Stan

> From: manet [mailto:[email-masked]<mailto:[email-masked]>] On Behalf Of Dearlove,
> Christopher (UK)
> To: [email-masked]<mailto:[email-masked]>; 'Stan Ratliff'; 'Justin Dean'; [email-masked]<mailto:[email-masked]>
> I wouldn't expect less than 2 weeks. But sometimes it's longer, I just don't
> Tel: +44 1245 242194<tel:%2B44%201245%20242194> |  Fax: +44 1245 242124<tel:%2B44%201245%20242124> [email-masked]<mailto:[email-masked]>
> From: Adrian Farrel [mailto:[email-masked]<mailto:[email-masked]>]
> To: Dearlove, Christopher (UK); 'Stan Ratliff'; 'Justin Dean'; [email-masked]<mailto:[email-masked]>
> ----------------------! WARNING ! ---------------------- This message originates
> from outside our organisation, either from an external partner or from the
> internet.
> Follow the 'Report Suspicious Emails' link on IT matters for instructions on
> I wouldn't change WG process for this doc, but 2 weeks is not so long in the
> scheme of things.
>
> If you get it moving soon, I can clear this and the MT I-D within my tenure.
>
> A
>
> > [mailto:[email-masked]<mailto:[email-masked]>]
> > To: Stan Ratliff ([email-masked]<mailto:[email-masked]>); Justin Dean
> ([email-masked]<mailto:[email-masked]>);
> > [email-masked]<mailto:[email-masked]>
> > Cc: [email-masked]<mailto:[email-masked]>; Thomas Heide Clausen
> > ([email-masked]<mailto:[email-masked]>)
> > Tel: +44 1245 242194<tel:%2B44%201245%20242194> |  Fax: +44 1245 242124<tel:%2B44%201245%20242124>
> > [email-masked]<mailto:[email-masked]> | http://www.baesystems.com
> >
> [email-masked]<mailto:[email-masked]>

_______________________________________________
manet mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/manet

_______________________________________________
manet mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/manet

---

From: Jiazi YI <[email-masked]>
Date: Mon, 2 Feb 2015 15:32:23 +0100

hmm... my understanding was, if one creates a type X type extension Y
registry, it's like create a tlv-fulltype with 256X+Y directly, which is
flat (in turns of name).
Of course, in turns of numbers, it's still hierarchical.

thanks very much for your explanation.

best

Jiazi

On Mon, Feb 2, 2015 at 2:58 PM, Dearlove, Christopher (UK) <
[email-masked]> wrote:

>  I don’t believe that is so. If you allocate a type, you still allocate a
> type extension registry. It’s just that (unless you define all of the type
> extensions, like LINK_METRIC) the type extension registry is named only by
> number, not by name.
>
>
>
> So if we were allocating LINK_STATUS today (after this draft) as type X
> (sorry, in a hurry, not looking up) type extension 0, then we would create
> a type X registry (not a LINK_STATUS registry) and then put an entry 0,
> named LINK_STATUS, in that new registry.
>
>
>
> --
>
> Christopher Dearlove
>
> *From:* [email-masked] [mailto:[email-masked]] *On Behalf Of *Jiazi
> YI
> *Sent:* 02 February 2015 13:49
> *To:* Dearlove, Christopher (UK)
> *Cc:* [email-masked]; Abdussalam Baryun; Ratliff, Stanley;
> [email-masked]; Thomas Heide Clausen; Justin Dean
>
> In fact, other than *adding* those rules, the document also obsoletes
> some text in section 6.1 of RFC 5444. Specifically, it (partly) changes the
> So it would be helpful to indicate that the above text (or the
> hierarchical allocation) is obsoleted, to avoid conflicts in the text.
>
>
>
> regards
>
>
>
> Jiazi
>
>
>
>
>

---

From: "Dearlove, Christopher (UK)" <[email-masked]>
Date: Mon, 2 Feb 2015 15:02:02 +0000

There are three possible levels.

Let’s suppose we decide to create a BLACKLISTED TLV. Brand new type.

We put an entry in the overall TLV types registry to say a type, let’s say 42 (actually IANA pick that), is allocated.

We create a registry of type extensions for type 42. We then put 0 BLACKLISTED in it, and 1-255 unallocated/experimental/etc.

The we might create a BLACKLISTED registry for meanings of the values in a BLACKLISTED TLV with 0 = don’t use, 1 = really don’t use, and so on.

Sent: 02 February 2015 14:32

*** WARNING ***
hmm... my understanding was, if one creates a type X type extension Y registry, it's like create a tlv-fulltype with 256X+Y directly, which is flat (in turns of name).

best

Jiazi

On Mon, Feb 2, 2015 at 2:58 PM, Dearlove, Christopher (UK) <[email-masked]<mailto:[email-masked]>> wrote:
I don’t believe that is so. If you allocate a type, you still allocate a type extension registry. It’s just that (unless you define all of the type extensions, like LINK_METRIC) the type extension registry is named only by number, not by name.

From: [email-masked]<mailto:[email-masked]> [mailto:[email-masked]<mailto:[email-masked]>] On Behalf Of Jiazi YI
Sent: 02 February 2015 13:49
To: Dearlove, Christopher (UK)
Cc: [email-masked]<mailto:[email-masked]>; Abdussalam Baryun; Ratliff, Stanley; [email-masked]<mailto:[email-masked]>; Thomas Heide Clausen; Justin Dean

*** WARNING ***

Just one tiny point:

In

----------------

regards

Jiazi

*** WARNING ***

*** WARNING ***

Adrian

AB

Regards,
Stan